#ifndef cfgreader_H
#define cfgreader_H


typedef struct sensornode {
    char ip[50];
    int isoutside; //Inside = 0; outside = 1
    struct sensornode *next;
} sensornode;



void cfginit(void);
void cfgdestroy(void);
void cfgreinit(void);
int cfgreadpinnumber(int element);
int cfgreadpinamount(void);
int cfgreadsensornodes(sensornode *nodes, int nodecount);
int cfgreadcompareidamount(void); //currently unused but will be necessary if there'll be any node filters
int cfgreadcompareidvalue(int element); //same
const char *cfgreadDatabaseUser(void);
int cfgreadNodeRefreshRate(void);

#endif
